Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.TableData Class Reference

## Public Member Functions
| TableData (rect, row_count, col_count, outside_border_left, outside_border_right, outside_border_top, outside_border_bottom, inside_border_row, inside_border_col, merge_cells, row_height_array, col_width_array)
| Constructor, with parameters. More...
| constructor ()
| Constructor.
| Set (rect, row_count, col_count, outside_border_left, outside_border_right, outside_border_top, outside_border_bottom, inside_border_row, inside_border_col, merge_cells, row_height_array, col_width_array)
| Set value. More...

## Public Attributes
| col_count
| The count of columns in the table.
| col_width_array
| The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.
| inside_border_col
| The column inside border info.
| inside_border_row
| The row inside border info.
| merge_cells
| The merge cells. The length of this array must be even and the zero length means no merge cell. More...
| outside_border_bottom
| The bottom outside border info.
| outside_border_left
| The left outside border info.
| outside_border_right
| The right outside border info.
| outside_border_top
| The top outside border info.
| rect
| Rectangle of the table which specifies the position in PDF page. It should be in PDF coordinate system.
| row_count
| The count of rows in the table.
| row_height_array
| The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.

## Detailed Description

This class represents table data.

## Constructor & Destructor Documentation

## ◆ TableData()

FSDK.TableData.TableData | ( | rect | ,
|  | row_count | ,
|  | col_count | ,
|  | outside_border_left | ,
|  | outside_border_right | ,
|  | outside_border_top | ,
|  | outside_border_bottom | ,
|  | inside_border_row | ,
|  | inside_border_col | ,
|  | merge_cells | ,
|  | row_height_array | ,
|  | col_width_array |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | rect | The rectangle of the table which specifies the position in PDF page.
  [in] | row_count | The count of rows in the table.
  [in] | col_count | The count of columns in the table.
  [in] | outside_border_left | The left outside border info.
  [in] | outside_border_right | The right outside border info.
  [in] | outside_border_top | The top outside border info.
  [in] | outside_border_bottom | The bottom outside border info.
  [in] | inside_border_row | The row inside border info.
  [in] | inside_border_col | The column inside border info.
  [in] | merge_cells | The merge cells.
  [in] | row_height_array | The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.
  [in] | col_width_array | The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

## Member Function Documentation

## ◆ Set()

FSDK.TableData.Set | ( | rect | ,
|  | row_count | ,
|  | col_count | ,
|  | outside_border_left | ,
|  | outside_border_right | ,
|  | outside_border_top | ,
|  | outside_border_bottom | ,
|  | inside_border_row | ,
|  | inside_border_col | ,
|  | merge_cells | ,
|  | row_height_array | ,
|  | col_width_array |
| ) |  |

Set value.

Parameters

  [in] | rect | The rectangle of the table which specifies the position in PDF page.
  [in] | row_count | The count of rows in the table.
  [in] | col_count | The count of columns in the table.
  [in] | outside_border_left | The left outside border info.
  [in] | outside_border_right | The right outside border info.
  [in] | outside_border_top | The top outside border info.
  [in] | outside_border_bottom | The bottom outside border info.
  [in] | inside_border_row | The row inside border info.
  [in] | inside_border_col | The column inside border info.
  [in] | merge_cells | The merge cells.
  [in] | row_height_array | The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.
  [in] | col_width_array | The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

Returns
  None.

## Member Data Documentation

## ◆ merge_cells

FSDK.TableData.merge_cells

The merge cells. The length of this array must be even and the zero length means no merge cell.

Note
  In a merged cell index array, every two consecutive members are grouped into cells. The first member represents the starting cell of the merged cell, and the second member represents the ending cell of the merged cell. For the table cell index, the valid range: from 0 to (row_count - 1) or (col_count - 1).